public class SubmitSnapshotJobShrinkRequest
extends com.aliyun.tea.TeaModel
| 限定符和类型 | 字段和说明 |
|---|---|
Long |
count
The maximum number of snapshots.
|
String |
height
The height of each snapshot.
|
Long |
interval
The snapshot interval.
|
String |
snapshotTemplateId
The ID of the snapshot template.
|
Long |
specifiedOffsetTime
The start time of the specified snapshot time period.
|
String |
specifiedOffsetTimesShrink |
String |
spriteSnapshotConfig
The sprite snapshot configuration.
|
String |
userData
The custom configurations, including the configuration of transparent data transmission and callback configurations.
|
String |
videoId
The ID of the video.
|
String |
width
The width of each snapshot.
|
| 构造器和说明 |
|---|
SubmitSnapshotJobShrinkRequest() |
@NameInMap(value="Count") public Long count
The maximum number of snapshots. Default value: **1**.
@NameInMap(value="Height") public String height
The height of each snapshot. Valid values: `[8,4096]`. By default, the height of the video mezzanine file is used. Unit: pixel.
@NameInMap(value="Interval") public Long interval
The snapshot interval. The value must be **greater than or equal to 0**. Unit: seconds. If you set this parameter to **0**, snapshots are taken at even intervals based on the video duration divided by the value of the Count parameter. Default value: **1**.
@NameInMap(value="SnapshotTemplateId") public String snapshotTemplateId
The ID of the snapshot template.
* We recommend that you create a snapshot template before you specify the ID of the snapshot template.
* If you set the SnapshotTemplateId parameter, all the other request parameters except the Action and VideoId parameters are ignored.
* For more information about how to create a snapshot template, see [AddVodTemplate](~~99406~~).
@NameInMap(value="SpecifiedOffsetTime") public Long specifiedOffsetTime
The start time of the specified snapshot time period.
* Unit: milliseconds.
* Default value: **0**.
@NameInMap(value="SpecifiedOffsetTimes") public String specifiedOffsetTimesShrink
@NameInMap(value="SpriteSnapshotConfig") public String spriteSnapshotConfig
The sprite snapshot configuration. If you set this parameter, sprite snapshots are generated. For more information, see [SpriteSnapshotConfig](~~86952~~).
@NameInMap(value="UserData") public String userData
The custom configurations, including the configuration of transparent data transmission and callback configurations. The value is a JSON-formatted string. For more information, see [UserData](~~86952~~).
**
**Note** The callback configurations take effect only when you specify the HTTP callback URL and select the specific callback events in the ApsaraVideo VOD console.
@NameInMap(value="VideoId") public String videoId
The ID of the video.
@NameInMap(value="Width") public String width
The width of each snapshot. Valid values: `[8,4096]`. By default, the width of the video mezzanine file is used. Unit: pixel.
public static SubmitSnapshotJobShrinkRequest build(Map<String,?> map) throws Exception
Exceptionpublic SubmitSnapshotJobShrinkRequest setCount(Long count)
public Long getCount()
public SubmitSnapshotJobShrinkRequest setHeight(String height)
public String getHeight()
public SubmitSnapshotJobShrinkRequest setInterval(Long interval)
public Long getInterval()
public SubmitSnapshotJobShrinkRequest setSnapshotTemplateId(String snapshotTemplateId)
public String getSnapshotTemplateId()
public SubmitSnapshotJobShrinkRequest setSpecifiedOffsetTime(Long specifiedOffsetTime)
public Long getSpecifiedOffsetTime()
public SubmitSnapshotJobShrinkRequest setSpecifiedOffsetTimesShrink(String specifiedOffsetTimesShrink)
public String getSpecifiedOffsetTimesShrink()
public SubmitSnapshotJobShrinkRequest setSpriteSnapshotConfig(String spriteSnapshotConfig)
public String getSpriteSnapshotConfig()
public SubmitSnapshotJobShrinkRequest setUserData(String userData)
public String getUserData()
public SubmitSnapshotJobShrinkRequest setVideoId(String videoId)
public String getVideoId()
public SubmitSnapshotJobShrinkRequest setWidth(String width)
public String getWidth()
Copyright © 2024. All rights reserved.